# SceneMoveAdapter (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.client
Class SceneMoveAdapter

    java.lang.Object
      com.threerings.whirled.client.SceneMoveAdapter

All Implemented Interfaces:
  com.threerings.presents.client.InvocationService.InvocationListener, SceneService.SceneMoveListener

    public class SceneMoveAdapter

extends Object
implements SceneService.SceneMoveListener

A useful base class for implementing part of a `SceneService.SceneMoveListener`.

Constructor Summary
`SceneMoveAdapter()`

Method Summary
`void` `moveRequiresServerSwitch(String hostname, int[] ports)` Indicates that the client must switch to the specified server and reissue its move request in order to relocate to its desired scene.
`void` `moveSucceeded(int placeId, com.threerings.crowd.data.PlaceConfig config)` Indicates that a move succeeded.
`void` `moveSucceededWithScene(int placeId, com.threerings.crowd.data.PlaceConfig config, SceneModel model)` Indicates that a move succeeded and that the client's cached scene information should be updated with the supplied data.
`void` `moveSucceededWithUpdates(int placeId, com.threerings.crowd.data.PlaceConfig config, SceneUpdate[] updates)` Indicates that a move succeeded and that the client's cached scene information should be updated with the supplied data.
`void` `requestFailed(String cause)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SceneMoveAdapter

    public SceneMoveAdapter()

Method Detail

### moveSucceeded

    public void moveSucceeded(int placeId,
                              com.threerings.crowd.data.PlaceConfig config)

  Description copied from interface: `SceneService.SceneMoveListener`
  Indicates that a move succeeded.

  Specified by:
    `moveSucceeded` in interface `SceneService.SceneMoveListener`
  Parameters:
    `placeId` - the place object id of the newly occupied scene.
    `config` - metadata related to the newly occupied scene.

### moveSucceededWithUpdates

    public void moveSucceededWithUpdates(int placeId,
                                         com.threerings.crowd.data.PlaceConfig config,
                                         SceneUpdate[] updates)

  Description copied from interface: `SceneService.SceneMoveListener`
  Indicates that a move succeeded and that the client's cached scene information should be updated with the supplied data.

  Specified by:
    `moveSucceededWithUpdates` in interface `SceneService.SceneMoveListener`
  Parameters:
    `placeId` - the place object id of the newly occupied scene.
    `config` - metadata related to the newly occupied scene.
    `updates` - updates that must be applied to the client's copy of a scene model to bring it up to date.

### moveSucceededWithScene

    public void moveSucceededWithScene(int placeId,
                                       com.threerings.crowd.data.PlaceConfig config,
                                       SceneModel model)

  Description copied from interface: `SceneService.SceneMoveListener`
  Indicates that a move succeeded and that the client's cached scene information should be updated with the supplied data.

  Specified by:
    `moveSucceededWithScene` in interface `SceneService.SceneMoveListener`
  Parameters:
    `placeId` - the place object id of the newly occupied scene.
    `config` - metadata related to the newly occupied scene.
    `model` - a fresh copy of the most recent scene data for the newly occupied scene.

### moveRequiresServerSwitch

    public void moveRequiresServerSwitch(String hostname,
                                         int[] ports)

  Description copied from interface: `SceneService.SceneMoveListener`
  Indicates that the client must switch to the specified server and reissue its move request in order to relocate to its desired scene.

  Specified by:
    `moveRequiresServerSwitch` in interface `SceneService.SceneMoveListener`

### requestFailed

    public void requestFailed(String cause)

  Specified by:
    `requestFailed` in interface `com.threerings.presents.client.InvocationService.InvocationListener`

Copyright © 2011. All Rights Reserved.